Bug 1303409 - [abrt] kwin: QGuiApplication::platformNativeInterface(): kwin_x11 killed by SIGSEGV
[abrt] kwin: QGuiApplication::platformNativeInterface(): kwin_x11 killed by S...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kwin (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:3ddcfb101f2ab08e1fe10e45117...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-31 09:05 EST by Ryan
Modified: 2016-12-20 13:20 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:20:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (32.41 KB, text/plain)
2016-01-31 09:05 EST, Ryan
no flags Details
File: cgroup (236 bytes, text/plain)
2016-01-31 09:05 EST, Ryan
no flags Details
File: core_backtrace (8.79 KB, text/plain)
2016-01-31 09:05 EST, Ryan
no flags Details
File: dso_list (16.35 KB, text/plain)
2016-01-31 09:05 EST, Ryan
no flags Details
File: environ (130 bytes, text/plain)
2016-01-31 09:05 EST, Ryan
no flags Details
File: exploitable (82 bytes, text/plain)
2016-01-31 09:06 EST, Ryan
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-31 09:06 EST, Ryan
no flags Details
File: maps (78.90 KB, text/plain)
2016-01-31 09:06 EST, Ryan
no flags Details
File: mountinfo (3.00 KB, text/plain)
2016-01-31 09:06 EST, Ryan
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-31 09:06 EST, Ryan
no flags Details
File: open_fds (135 bytes, text/plain)
2016-01-31 09:06 EST, Ryan
no flags Details
File: proc_pid_status (991 bytes, text/plain)
2016-01-31 09:06 EST, Ryan
no flags Details
File: var_log_messages (304 bytes, text/plain)
2016-01-31 09:06 EST, Ryan
no flags Details

  None (edit)
Description Ryan 2016-01-31 09:05:44 EST
Description of problem:
opened apper
- searched packages in apper (to see if it had been implemented back into KDE yet)
- received error that backend was not supported
- got another error that kwin crashed from ABRT

Version-Release number of selected component:
kwin-5.5.4-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/kwin_x11
crash_function: QGuiApplication::platformNativeInterface
executable:     /usr/bin/kwin_x11
global_pid:     959
kernel:         4.3.3-303.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QGuiApplication::platformNativeInterface at kernel/qguiapplication.cpp:1482
 #1 QX11Info::display at /usr/src/debug/qtx11extras-opensource-src-5.5.1/src/x11extras/qx11info_x11.cpp:337
 #2 KCrash::defaultCrashHandler at ../../src/kcrash.cpp:452
 #4 QSocketNotifier::setEnabled at kernel/qsocketnotifier.cpp:240
 #5 QInotifyFileSystemWatcherEngine::~QInotifyFileSystemWatcherEngine at io/qfilesystemwatcher_inotify.cpp:247
 #7 QObjectPrivate::deleteChildren at kernel/qobject.cpp:1946
 #8 QObject::~QObject at kernel/qobject.cpp:1024
 #9 KWin::Decoration::DecorationPalette::~DecorationPalette at /usr/src/debug/kwin-5.5.4/decorations/decorationpalette.h:35
 #10 std::_Sp_counted_base<(__gnu_cxx::_Lock_policy)2>::_M_release at /usr/include/c++/5.3.1/bits/shared_ptr_base.h:150
 #11 std::__shared_count<(__gnu_cxx::_Lock_policy)2>::~__shared_count at /usr/include/c++/5.3.1/bits/shared_ptr_base.h:659
Comment 1 Ryan 2016-01-31 09:05:51 EST
Created attachment 1119882 [details]
File: backtrace
Comment 2 Ryan 2016-01-31 09:05:53 EST
Created attachment 1119883 [details]
File: cgroup
Comment 3 Ryan 2016-01-31 09:05:55 EST
Created attachment 1119884 [details]
File: core_backtrace
Comment 4 Ryan 2016-01-31 09:05:57 EST
Created attachment 1119885 [details]
File: dso_list
Comment 5 Ryan 2016-01-31 09:05:59 EST
Created attachment 1119886 [details]
File: environ
Comment 6 Ryan 2016-01-31 09:06:00 EST
Created attachment 1119887 [details]
File: exploitable
Comment 7 Ryan 2016-01-31 09:06:02 EST
Created attachment 1119888 [details]
File: limits
Comment 8 Ryan 2016-01-31 09:06:05 EST
Created attachment 1119889 [details]
File: maps
Comment 9 Ryan 2016-01-31 09:06:07 EST
Created attachment 1119890 [details]
File: mountinfo
Comment 10 Ryan 2016-01-31 09:06:09 EST
Created attachment 1119891 [details]
File: namespaces
Comment 11 Ryan 2016-01-31 09:06:10 EST
Created attachment 1119892 [details]
File: open_fds
Comment 12 Ryan 2016-01-31 09:06:12 EST
Created attachment 1119893 [details]
File: proc_pid_status
Comment 13 Ryan 2016-01-31 09:06:14 EST
Created attachment 1119894 [details]
File: var_log_messages
Comment 14 LordPenguin 2016-09-29 08:48:43 EDT
Similar problem has been detected:

This comes up durring every reboot

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/kwin_x11 -session 10d0737472000147507117900000022050023_1475152936_709928
crash_function: QGuiApplication::platformNativeInterface
executable:     /usr/bin/kwin_x11
global_pid:     2541
kernel:         4.7.4-100.fc23.x86_64
package:        kwin-5.7.5-1.fc23
reason:         kwin_x11 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Fedora End Of Life 2016-11-24 10:18:50 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 13:20:32 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.